@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');

.lato-thin {
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: normal;
}

.lato-light {
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.lato-regular {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.lato-bold {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.lato-black {
    font-family: "Lato", sans-serif;
    font-weight: 900;
    font-style: normal;
}

.lato-thin-italic {
    font-family: "Lato", sans-serif;
    font-weight: 100;
    font-style: italic;
}

.lato-light-italic {
    font-family: "Lato", sans-serif;
    font-weight: 300;
    font-style: italic;
}

.lato-regular-italic {
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: italic;
}

.lato-bold-italic {
    font-family: "Lato", sans-serif;
    font-weight: 700;
    font-style: italic;
}

.lato-black-italic {
    font-family: "Lato", sans-serif;
    font-weight: 900;
    font-style: italic;
}

:root {
    --headerInfo: 4rem;
    --headerNav: 8rem;
}

html {
    font-size: 62.5%;
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

body {
    font-size: 1.6rem;
    font-family: "Lato", sans-serif!important;
    background-color: #f5f5f5;
}

/* reset */
* {
    margin: 0rem;
    padding: 0rem;
    text-decoration: none!important;
}

/* utilities */
.container {
    width: min(90%, 135rem);
    margin: 0 auto;
}

.section {
    margin: 4rem auto;
}

.text-center {
    text-align: center;
}

/* globales */
h1 {
    font-size: 3.8rem;
}

h2 {
    font-size: 3.4rem;
}

h3 {
    font-size: 3rem;
}

h4 {
    font-size: 2.6rem;
}

img {
    max-width: 100%;
}

.icon-sticky-WA {
    background-color: green;
    position: fixed;
    right: 4rem;
    bottom: 4rem;
    height: 6rem;
    width: 6rem;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;

    span {
        color: white;
    }
}


/* header */
.siteHeader {
    /* height: calc(100vh - (var(--headerInfo) - var(--headerNav))); */
    height: 100vh;
    position: relative;
}

.siteHeader__video {
    position: absolute;
    height: 100%;
    width: 100%;

    video {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    &::after {
        content: "";
        display: block;
        width: 100%;
        height: 100%;
        background-color: #000;
        position: absolute;
        top: 0;
        mix-blend-mode: overlay;
        opacity: 50%;
    }
}


.siteHeader__contenido {
    height: 100%;
    position: relative;
    z-index: 1;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.siteHeader__barra.fixedNav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    box-shadow: 0 0 1rem #333;
}

.siteHeader__barra-info {
    background-color: #033ba7;
    height: var(--headerInfo);
}

.barra-info__flex {
    display: flex;
    align-items: center;
    height: 100%;

    p {
        flex-grow: 1;
        display: flex;
        align-items: center;
        gap: 1.5rem;
    }
}


.siteHeader__barra-nav {
    background-color: #fff;
    height: var(--headerNav);
}


.barra-nav__flex {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.barra-nav__flex__logo {
    display: flex;
    align-items: center;
    gap: 2rem;
    height: 100%;

    figure {
        width: 12rem;


        img {
            width: 80%;
            height: 100%;
            margin: 0 auto;
        }
    }

    p {
        color: #000;
        font-size: 2.5rem;
        display: inline-block;
    }
}

.barra-nav__flex__nav {
    a {
        color: #000;
        font-size: 2rem;
        margin-right: 2rem;
        border-bottom: .4rem solid transparent;

        &:last-child {
            margin-right: 0;
        }

        &:hover,
        &.active {
            border-bottom: .2rem solid;
        }
    }
}

.siteHeader__contenido-info {
    margin-bottom: 18rem;
}

.contenido-info {
    background-color: rgb(255 255 255 / 80%);
    padding: 2rem;
    border-radius: .5rem;
    width: 60rem;

    p {
        font-size: 3rem;
        color: #000;
        text-align: justify;
    }
}

/* header mobile */
@media screen and (max-width: 900px) {

    :root {
        --headerNav: 6rem;
    }

    .icon-sticky-WA {
        right: 1rem;
        bottom: 1rem;
    }

    .siteHeader {
        height: 80vh;
    }

    .siteHeader__barra-nav {
        background-color: #033ba7;
        padding: 4rem 0;
        display: none;
    }

    .siteHeader__barra-info,
    .barra-nav__flex__nav,
    .barra-nav__flex__logo>p {
        display: none;
    }

    .barra-nav__flex__logo {
        figure {
            width: 10rem;
        }
    }

    .siteHeader__contenido-info {
        margin-bottom: 10rem;
    }

    .contenido-info {
        display: none;
    }

    .contenido-info-mobile {
        text-align: center;

        p {
            margin-bottom: 2rem;

            &:nth-child(1) {
                font-size: 3.5rem;
            }

            &:nth-child(2) {
                font-size: 1.8rem;
            }
        }

        a {
            font-size: 2rem;
            background-color: #033ba7;
            color: #fff;
            padding: 2rem 3rem;
            border-radius: .5rem;
            display: inline-block;
        }

    }

    .siteHeader__mobile-offcanvas {
        background-color: #033ba7;

        .figure__offcanvas {
            img {
                width: 6rem;
            }
        }
    }

}

@media screen and (min-width: 900px) {
    .barra-icon-nav {
        display: none;
    }

    .contenido-info-mobile {
        display: none;
    }

    .siteHeader__mobile-offcanvas {
        display: none;
        background-color: #033ba7;
    }

}


/* sobre nosotros */

.sobreNosotros__contenido {
    margin: 2rem auto;
}

.sobreNosotros__contenido__item {
    display: flex;
    gap: 4rem;
    align-items: center;

    .sobreNosotros__contenido__item__texto {
        flex-basis: 60%;

        h3 {
            margin-bottom: 2rem;
        }

        p {
            font-size: 2rem;
        }
    }

    .sobreNosotros__contenido__item__img {
        flex-basis: 40%;

        img {
            border-radius: .5rem;
        }
    }

    &:nth-child(2) {
        .sobreNosotros__contenido__item__texto {

            h3,
            p {
                text-align: right;
            }
        }

        .sobreNosotros__contenido__item__img {
            order: -1;
        }
    }

    &:nth-child(3) {
        .sobreNosotros__contenido__item__texto>p {
            margin-bottom: 2rem;

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

}

@media screen and (max-width: 900px) {

    .sobreNosotros__contenido__item {

        flex-direction: column;
        margin-bottom: 4rem;

        &:nth-child(2) {
            .sobreNosotros__contenido__item__texto {

                h3,
                p {
                    text-align: left;
                }
            }

            .sobreNosotros__contenido__item__img {
                order: 0;
            }

        }

    }

}


/* elegirnos */
.elegirnos {
    background-color: #033ba7;
    padding: 2rem 0;

    h2 {
        margin: 0 0 2rem 0;
    }
}

.elegirnos__contenido {
    color: #fff;
}

.elegirnos__li {
    font-size: 2rem;
    margin-bottom: 2rem;

    span {
        font-size: 2.5rem;
    }

    &:last-child {
        margin-bottom: 0;
    }

}

.elegirnos__p {
    font-size: 1.8rem;
    margin-bottom: 2rem;

    &:last-child {
        margin-bottom: 0;
    }
}


/* nuestros productos */
.productos__ul>h4 {
    margin-bottom: 2rem;
}

.productos__li {
    font-size: 2rem;
    margin-bottom: 2rem;

    &:last-child {
        margin-bottom: 0;
    }
}

.productos__gallery__contenido {
    display: flex;
    flex-wrap: wrap;
    gap: 4rem;
}

.productos__gallery__item {
    flex: 35rem;

    img {
        width: 100%;
        height: 24rem;
        border-radius: .5rem;
    }

    p {
        font-size: 2.5rem;
    }
}


/* contacto CTA */
.contactoCTA {
    background-color: #033ba7;
    color: #fff;
    padding: 2rem;
}

.contactoCTA__contenido {

    display: flex;
    flex-direction: column;
    justify-content: center;

    p {
        margin: 2rem 0;
        font-size: 2rem;
    }

    a {
        background-color: #fff;
        color: #000;
        font-size: 2rem;
        padding: 1rem 3rem;
        border-radius: .5rem;
        text-align: center;
    }

    @media screen and (min-width: 900px) {
        a {
            align-self: center;
        }
    }

}

@media screen and (min-width: 900px) {
    .ctaContainer {
        height: 100vh;
        display: flex;
        align-items: center;
        justify-content: center;

        .contactoCTA {
            border-radius: .5rem;
        }
    }
}


/* footer */
.footer {
    background-color: #fff;
    padding: 2rem;
}

.footer__contenido {
    display: flex;
    justify-content: space-between;
    align-items: center;

    @media screen and (max-width: 900px) {
        flex-direction: column;
        align-items: flex-start;
    }
}

.footer__contenido__item {
    p {
        margin: 2rem 0;
        font-size: 2rem;
    }

    .item__child {
        margin: 2rem 0;

        a {
            font-size: 2rem;
            margin-bottom: 2rem;
            color: #000;
        }
    }
}


/* pages */

/* formulario */
.formularioContenedor {
    display: flex;
    gap: 4rem;

    h3 {
        margin-bottom: 2rem;
    }

    @media screen and (max-width:900px) {
        flex-direction: column;
    }
}

.formulario,
.masContacto {
    background-color: #fff;
    padding: 2rem;
    border-radius: .5rem;
    box-shadow: 0 0 .8rem #b5b5b5;
}

.masContacto {
    align-self: flex-start;
    flex-basis: 40%;
}

.formulario {
    flex-basis: 60%;

    p {
        font-size: 2rem;
        margin-bottom: 2rem;

        &:last-child {
            margin-bottom: 0;
        }
    }

}

.formulario__contenido {
    display: grid;
    grid-template-areas:
        "nombre correo"
        "telefono empresa"
        "mensaje mensaje"
    ;
    align-items: center;
    gap: 2rem;
    margin-top: 2rem;

    @media screen and (max-width:900px) {
        display: initial;
    }

    label {
        display: block;
        font-size: 2rem;
    }

    input:not([type="submit"]),
    textarea {
        width: 100%;
        padding: 1rem 2rem;
        border-radius: .5rem;
        background-color: #f5f5f5;
        border: none;
        margin: 1rem 0;
    }

    textarea {
        height: 14rem;
    }

    .formulario__item {
        margin-bottom: 2rem;
    }

    .formulario__item:last-child {
        grid-area: mensaje;
    }
}

.contenedorAlerta {
    height: 2.2rem;
}

input[type="submit"] {
    width: 100%;
    font-size: 2rem;
    padding: 1rem 2rem;
    margin-top: 1rem;
    background-color: #0753c3;
    color: #fff;
    border-radius: .5rem;
    border: none;
    opacity: 50%;

    &.active-submit {
        opacity: unset;
        cursor: pointer;

        &:hover {
            background-color: #033ba7;
        }
    }
}

/* spinner */
.spinner {
    margin: 1rem auto;
    width: 70px;
    text-align: center;
    display: none;

    &.spinner-active {
        display: block;
    }
}

.spinner>div {
    width: 18px;
    height: 18px;
    background-color: #333;

    border-radius: 100%;
    display: inline-block;
    -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
    animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
}

.spinner .bounce2 {
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {

    0%,
    80%,
    100% {
        -webkit-transform: scale(0)
    }

    40% {
        -webkit-transform: scale(1.0)
    }
}

@keyframes sk-bouncedelay {

    0%,
    80%,
    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1.0);
        transform: scale(1.0);
    }
}

.masContacto__contenido__item {
    display: flex;
    align-items: center;
    gap: 2rem;
    margin-bottom: 2rem;

    a {
        color: #000;
    }

    span.fa-whatsapp {
        color: green;
    }
}